<?php

use TDevAgency\DeliveriesPayments\Controllers\DeliveryController;
use TDevAgency\DeliveriesPayments\Controllers\PaymentController;
use TDevAgency\Erp\Middleware\ContainerMiddleware;

Route::middleware(ContainerMiddleware::class)->group(function () {
    Route::prefix('payments')->as('payments.')->group(function () {
        Route::get('/', [PaymentController::class, 'index'])->name('index');
        Route::get('/{code}', [PaymentController::class, 'edit'])->name('edit');
        Route::post('/{code}', [PaymentController::class, 'update']);
    });
    Route::prefix('deliveries')->as('deliveries.')->group(function () {
        Route::get('/', [DeliveryController::class, 'index'])->name('index');
        Route::get('/{code}', [DeliveryController::class, 'edit'])->name('edit');
        Route::post('/{code}', [DeliveryController::class, 'update']);
    });
});
