<?php
namespace TDevAgency\DeliveriesPayments\Drivers\Deliveries;


use Mcamara\LaravelLocalization\Facades\LaravelLocalization;
use TDevAgency\DeliveriesPayments\Contracts\Delivery;

final class Pickup extends Delivery
{

    public function getName(): string
    {
        // TODO: Implement getName() method.
    }

    public function getKey(): string
    {
        // TODO: Implement getKey() method.
    }

    public function getImage(): string
    {
        // TODO: Implement getImage() method.
    }

    public function prepareAdditionalAdminOptions(): array
    {
        $options = [];

        foreach (LaravelLocalization::getSupportedLocales() as $code => $locale) {
            $key = $this->getCoreConfigKey('title_' . $code);
            $options[] = [
                'view' => 'input',
                'key' => $this->getCoreConfigKey('title_' . $code),
                'value' => $this->getCoreConfigValue('title_' . $code),
                'placeholder' => 'Название на ' . $locale['native']
            ];
        }

        return $options;
    }
}
