<?php


namespace TDevAgency\DeliveriesPayments\Facades;


use Illuminate\Support\Facades\Facade;
use phpDocumentor\Reflection\Types\Static_;
use TDevAgency\DeliveriesPayments\Managers\PaymentManager;

/**
 * Class Payment
 * @package TDevAgency\DeliveriesPayments\Facades
 * @method static \TDevAgency\DeliveriesPayments\Contracts\Payment driver($name)
 */
class Payment extends Facade
{
    /**
     * @return string
     */
    protected static function getFacadeAccessor(): string
    {
        return PaymentManager::class;
    }
}
