<?php


namespace TDevAgency\DeliveriesPayments\Managers;


use Illuminate\Support\Facades\Config;
use TDevAgency\DeliveriesPayments\Traits\Manager;

final class DeliveryManager
{
    use Manager;

    protected $type = 'deliveries';

    /**
     * @return mixed|null[]
     */
    protected function getConfig(): array
    {
        if (!is_null($this->driverName) && $this->driverName !== 'null') {
            return Config::get("deliveries_payments.deliveries.{$this->driverName}");
        }

        return ['driver' => null];
    }

}
